.c-flex {
  display: flex;

  &.grow {
    flex-grow: 1 !important;
    flex-shrink: unset !important;
  }

  &.column {
    flex-direction: column;
  }

  &.row {
    flex-direction: row;
    flex-wrap: unset;
    flex: unset;
    margin: unset;

    &.responsive {
      @media only screen and (max-width: 600px) {
        flex-direction: column;
      }
    }
  }

  &.justify-end {
    justify-content: flex-end;
  }

  &.justify-between {
    justify-content: space-between;
  }

  &.justify-center {
    justify-content: center;
  }

  &.justify-evenly {
    justify-content: space-evenly;
  }

  &.justify-start {
    justify-content: flex-start;
  }

  &.align-center {
    align-items: center;
  }

  &.wrap {
    flex-wrap: wrap;
  }

  &.w100 {
    width: 100%;
  }

  &.h100 {
    height: 100%;
  }

  &.w50 {
    width: 50%;
  }

  &.w66 {
    width: 66%;
  }

  &.w33 {
    width: 33%;
  }

  &.w20 {
    width: 20%;
  }

  &.w40 {
    width: 40%;
  }

  &.w60 {
    width: 60%;
  }

  &.w80 {
    width: 80%;
  }

  &.w100 {
    width: 100%;
  }

  &.wrap {
    flex-wrap: wrap;
  }

  &.responsive {
    @media only screen and (max-width: 600px) {
      width: 100%;
    }
  }
}

.mono-font,
code,
kbd,
pre {
  font-family: "JetBrains Mono", monospace;
}

#app {
  height: 100%;
}
